<?php
class Tekst_model extends Model {

    var $title   = '';
    var $content = '';
    var $date    = '';
	var $encryption_key = "i:Dvv%^uJKK9)_K<";

    function Tekst_model()
    {
        // Call the Model constructor
        parent::Model();
        $this->load->helper("log");
    }
	/*
	function log($info, $table, $operation, $id, $name=''){
		$data = array(
			'action_log_user_id' => $this->session->userdata('uzytkownik_id'),
			'action_log_login' => $this->session->userdata('uzytkownik'),
			'action_log_info' => $info.'. Tabela '.$table.', operacja '.$operation.', ID pozycji '.$id.', nazwa '.$name
		);
		$this->db->set('action_log_time', 'sysdate()', FALSE);
		$this->db->insert('action_log', $data);
	}
    */

	function getTextModule($id, $userId){
		return $this->db->get_where('text', array('text_module_id' => $id));
	}
	
	function addtextmodule($moduleId, $text){
		$data = array(
			'text_module_id' => $moduleId,
			'text_content' => $text
		);
		$this->db->set('text_added', 'sysdate()', FALSE);
		$this->db->insert('text', $data);
		action_log('Dodawanie modułu tekstowego', 'text', 'insert', $this->db->insert_id());
		
		$this->db->where('ID_modules', $moduleId);
		$this->db->set('modules_updated', 'sysdate()', FALSE);
		$this->db->update('modules');
		
		$affRows = $this->db->affected_rows();
		
		$nazwa = $this->db->get_where('modules', array('ID_modules' => $moduleId))->row()->modules_name;
		action_log('Dodawanie modułu tekstowego', 'modules', 'update', $moduleId, $nazwa);
		
		return $affRows;
	}
	
	function edittextmodule($id, $moduleId, $text) {
		$this->db->where('ID_text', $id);
		$this->db->set('text_updated', 'sysdate()', FALSE);
		$this->db->update('text', array('text_content' => $text));
		
		action_log('Edycja modułu tekstowego', 'text', 'update', $id);
		
		$this->db->where('ID_modules', $moduleId);
		$this->db->set('modules_updated', 'sysdate()', FALSE);
		$this->db->update('modules');
		
		$affRows = $this->db->affected_rows();
		
		$nazwa = $this->db->get_where('modules', array('ID_modules' => $moduleId))->row()->modules_name;
		action_log('Edycja modułu tekstowego', 'modules', 'update', $moduleId, $nazwa);
		
		return $affRows;
	}
		
}
?>